// creator  : weidu.exe (version 23100)
// argument : UDILSLA2.DLG
// game		 : .
// source	 : ./override/UDILSLA2.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~UDILSLA2~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #57485 /* ~You... you have freed us, stranger. Thank Ilmater! You cannot imagine what a horror it was, nightmare after nightmare without the ability to awaken!~ */
  IF ~~ THEN DO ~SetGlobal("mindSlaveFreed","GLOBAL",1)~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #57486 /* ~Thank you, dear <PRO_MANWOMAN>, thank you!  My... my name is Camaris Highcastle of... of Myratma.  If only there were some way to properly repay you!~ */
  IF ~~ THEN REPLY #57487 /* ~For starters, tell me how you ended up here.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #57488 /* ~I am unsure. We were part of an expedition to find adventure in the Underdark.  Hah!  This was... hardly what we were expecting, you can be certain.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #57489 /* ~We set out from Myratma and had been in the Underdark for a week, maybe more. I heard a noise, and then everything went gray and blurry.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #57490 /* ~The mind flayers must have surprised us. Next thing I remember, we were hooked to these machines. It was strange... you could see everything and... be aware... but not quite.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #57491 /* ~They somehow used our minds to power those machines over there.  It makes necklaces... circlets rather... which the mind flayers use to control their slaves.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #57492 /* ~If you were captured, too, I... I can only imagine the next batch of circlets would have been meant for you.  Good thing you escaped when you did.~ */
  IF ~~ THEN REPLY #57493 /* ~Do you think these circlets would work on the illithids?  Do you know how to work the machine?~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #57494 /* ~I... I suppose they might. There's no reason they wouldn't. As for the machine, it's fairly simple, but I don't think it's fully charged. You could only make a few.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #57495 /* ~I suppose I must ask you, stranger... do you plan on escaping?  Have you a means of leaving this city?~ */
  IF ~~ THEN REPLY #57496 /* ~Not yet, but I intend to escape here, yes.~ */ GOTO 9
  IF ~~ THEN REPLY #57497 /* ~Yes, of course.  What do you think, that I'm taking up residence?~ */ GOTO 9
  IF ~~ THEN REPLY #57498 /* ~I have a plan.  We'll see if I can execute it or not.~ */ GOTO 9
  IF ~~ THEN REPLY #57499 /* ~I'm leaving, eventually, but I've no intention of taking you with me.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.3 8.2 8.1 8.0
  SAY #57500 /* ~Well, if you find a way out or stop the mind flayers somehow, we can leave the city on our own. There is a cache of equipment I know of if we locate our old path.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #57501 /* ~I can lead my people to the surface again, but you would have to find us a way out. No offense friend, but I don't think we could face those mind flayers ourselves.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #57502 /* ~We will wait here until we can leave.  We will pray for you, friend... I only hope that our ordeal is finally over.~ */
  IF ~~ THEN EXIT
END

IF ~!Dead("udmaster")~ THEN BEGIN 12 // from:
  SAY #57504 /* ~I will have my people remain here and keep quiet.  Please, find us a way out!  I think the machine in this room can be used to create control circlets.  They might help you.~ */
  IF ~~ THEN EXIT
END

IF ~Dead("udmaster")
Global("ByeByeSlaves","AR2400",0)~ THEN BEGIN 13 // from:
  SAY #57505 /* ~Thank you, friend, I think we can find our way to the surface now. If... if we encounter each other on the surface... I owe you more than I can ever repay.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #57506 /* ~Good luck in the Underdark if you intend to remain.  I will pray for your success and safety. Come, my friends... let us leave this hellish place once and for all...~ */
  IF ~~ THEN DO ~AddExperienceParty(45000)
ReputationInc(1)
SetGlobal("ByeByeSlaves","AR2400",1)~ EXIT
END
